Arch Linux滚动升级失败解决方法

新安装了arcnlinux(2011-08-19)不知为什么执行升级是提示失败,查找资料解决之,与大家分享:

安装完成后第一次执行pacman -Syu失败,提示信息如下

  1. error: failed to commit transaction (conflicting files)  

一般情况下执行强制更新可以解决,但是此处强制更新也不行,根据官方wiki说明应该是文件冲突,pacman不会去覆盖已经存在的文件,手动这几个文件备份,删除就可以。

第二次更新仍旧提示相同的错误。直接pacman -Syuf强制更新就可以了。

图片 1

发表评论

电子邮件地址不会被公开。 必填项已用*标注